Library Version 11.2.5.3

Chapter 20. Db_reverse_iterator
Prev |  | Next

## Chapter 20. Db_reverse_iterator

This class is the reverse class adaptor for all dbstl iterator classes.

It inherits from real iterator classes like db_vector_iterator , db_map_iterator or db_set_iterator . When you call container::rbegin(), you will get an instance of this class.

#### See Also

db_vector_base_iterator db_vector_iterator db_map_base_iterator db_map_iterator db_set_base_iterator db_set_iterator

#### Public Members

Member | Description
--- | ---
operator++ | Move this iterator forward by one element.
operator-- | Move this iterator backward by one element.
operator+ | Iterator shuffle operator.
operator- | Iterator shuffle operator.
operator+= | Iterator shuffle operator.
operator-= | Iterator shuffle operator.
operator< | Less compare operator.
operator> | Greater compare operator.
operator<= | Less equal compare operator.
operator>= | Greater equal compare operator.
db_reverse_iterator | Constructor. Construct from an iterator of wrapped type.
operator= | Assignment operator.
operator[] | Return the reference of the element which can be reached by moving this reverse iterator by Off times backward.

#### Group

Dbstl Iterator Classes

## operator++

### Function Details

    self& operator++()

Move this iterator forward by one element.

#### Return Value

The moved iterator at new position.

    self operator++(int)

Move this iterator forward by one element.

#### Return Value

The original iterator at old position.

### Group: Reverse iterator movement functions

When we talk about reverse iterator movement, we think the container is a uni-directional range, represented by [begin, end), and this is true no matter we are using iterators or reverse iterators.

When an iterator is moved closer to "begin", we say it is moved forward, otherwise we say it is moved backward.

### Class

db_reverse_iterator

Prev |  | Next
refresh | Home | operator--